Package org.apache.solr.client.solrj.impl

## Class HttpListenerFactory.RequestResponseListener

- java.lang.Object
- - org.apache.solr.client.solrj.impl.HttpListenerFactory.RequestResponseListener

All Implemented Interfaces:
  `EventListener`, `org.eclipse.jetty.client.api.Request.BeginListener`, `org.eclipse.jetty.client.api.Request.QueuedListener`, `org.eclipse.jetty.client.api.Request.RequestListener`, `org.eclipse.jetty.client.api.Response.CompleteListener`, `org.eclipse.jetty.client.api.Response.ResponseListener`

Enclosing interface:
  HttpListenerFactory

    public abstract static class HttpListenerFactory.RequestResponseListener
    extends Object
    implements org.eclipse.jetty.client.api.Request.BeginListener, org.eclipse.jetty.client.api.Response.CompleteListener, org.eclipse.jetty.client.api.Request.QueuedListener

### Constructor Summary

Constructors
`RequestResponseListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBegin​(org.eclipse.jetty.client.api.Request request)` Callback method invoked when the request begins being processed in order to be sent.
`void` `onComplete​(org.eclipse.jetty.client.api.Result result)`
`void` `onQueued​(org.eclipse.jetty.client.api.Request request)` Callback method invoked when the request is queued, waiting to be sent.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestResponseListener

    public RequestResponseListener()

### Method Detail

#### onBegin

    public void onBegin​(org.eclipse.jetty.client.api.Request request)

Callback method invoked when the request begins being processed in order to be sent. This is the last opportunity to modify the request. This method will NOT be ensured to be called on the same thread as the thread calling `Http2SolrClient` methods.

Specified by:
  `onBegin` in interface `org.eclipse.jetty.client.api.Request.BeginListener`
Parameters:
  `request` - the request that begins being processed

#### onQueued

    public void onQueued​(org.eclipse.jetty.client.api.Request request)

Callback method invoked when the request is queued, waiting to be sent. This method will be ensured to be called on the same thread as the thread calling `Http2SolrClient` methods.

Specified by:
  `onQueued` in interface `org.eclipse.jetty.client.api.Request.QueuedListener`
Parameters:
  `request` - the request being queued

#### onComplete

    public void onComplete​(org.eclipse.jetty.client.api.Result result)

Specified by:
  `onComplete` in interface `org.eclipse.jetty.client.api.Response.CompleteListener`